
package nlib.bbs.service;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

/**
 * <pre>
 * @Class Name : BoardService.java
 * 
 * @Description : 게시물 관리 클래스
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 7. 19.    KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 7. 19.
 * @version 1.0
 *
 */
public interface BoardServiceApi
{
	/**
	 * 공지사항   
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listNotices(DataApiReqVO reqVO);

	public DataApiResVO selectNotice(DataApiReqVO reqVO);

	/**
	 * 자주하는질문  
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listFAQs(DataApiReqVO reqVO);
	
	public DataApiResVO selectFAQ(DataApiReqVO reqVO);
	

	/**
	 * 묻고답하기 
	 * 
	 * @param reqVO
	 * @return
	 */
	public DataApiResVO listQnAs(DataApiReqVO reqVO);

	public DataApiResVO selectQnA(DataApiReqVO reqVO);

	public DataApiResVO insertQnA(DataApiReqVO reqVO);

	public DataApiResVO verifyWriter(DataApiReqVO reqVO);

	public DataApiResVO updateQnA(DataApiReqVO reqVO);

	public DataApiResVO deleteQnA(DataApiReqVO reqVO);


}